Skip to main content
GET
/
v1
/
prior-auth
/
authorizations
/
{authorizationId}
/
artifacts
List authorization artifacts
curl --request GET \
  --url https://api.sandbox.trycollate.ai/v1/prior-auth/authorizations/{authorizationId}/artifacts \
  --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "art_123", "authorizationId": "auth_123", "fileId": "file_artifact_123", "kind": "submission_packet", "label": "Submission packet", "mimeType": "application/pdf", "metadata": { "pages": 5 }, "downloadUrl": "https://cdn.example.com/files/generated_artifact/file_artifact_123/submission-packet.pdf", "createdAt": "2026-03-13T17:15:00.000Z" } ], "pagination": { "hasMore": false, "nextCursor": null } }

Authorizations

Authorization
string
header
required

Bearer token for WorkOS session JWTs and organization API keys.

Path Parameters

authorizationId
string
required
Example:

"auth_123"

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
Example:

25

cursor
string

Response

Paginated authorization artifacts.

data
object[]
required
pagination
object
required